import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleXbarR extends JFrameChart {    
    public SampleXbarR() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        XbarR xbarr = new XbarR(axis, SampleXbarS.diameter);
        
        xbarr.getUpperControlLimit().setTitle("ucl = {0,number,0.0000}");
        
        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        axis.getAxisY().getAxisTitle().setTitle("Piston Ring Diameter");
        axis.getAxisY().setAutoscaleInput(Axis.AUTOSCALE_OFF);
        axis.getAxisY().setWindow(73.985, 74.015);
    }
    
    public static void main(String argv[]) {
        new SampleXbarR().setVisible(true);
    }
}